NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder Class Reference

This is the feature builder for the convert to sheetmetal feature. More...

Inheritance diagram for NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder:
NXOpen::Features::SheetMetal::SheetmetalBaseBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BendReliefTypeOptions { BendReliefTypeOptionsNone, BendReliefTypeOptionsSquare, BendReliefTypeOptionsRound }
 This enum represents the bend relief type. More...
 

Public Member Functions

NXOpen::ScCollectorAdditionalFacesToConvert ()
 Returns the additional faces to convert
Created in NX10.0.0. More...
 
NXOpen::FaceBaseFace ()
 Returns the base face from which the thickness of the part is determined. More...
 
NXOpen::ExpressionBendReliefDepth ()
 Returns the bend relief depth. More...
 
NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefTypeOptions BendReliefType ()
 Returns the bend relief type. More...
 
NXOpen::ExpressionBendReliefWidth ()
 Returns the bend relief width. More...
 
NXOpen::Features::SheetMetal::ConvertInputListItemBuilderListCornerList ()
 Returns the corner list
Created in NX12.0.0. More...
 
NXOpen::Features::SheetMetal::ConvertInputListItemBuilderCreateConvertInputListItem ()
 Create a corner list item. More...
 
std::vector< NXOpen::Edge * > GetRipEdges ()
 Gets the array of edges selected for ripping while converting to sheetmetal. More...
 
NXOpen::FaceLocalBaseFace ()
 Returns the base face of local convert from which the thickness of the part is determined. More...
 
NXOpen::ScCollectorLocalRegionFaces ()
 Returns the faces for local convert
Created in NX12.0.0. More...
 
bool MaintainZeroBendRadius ()
 Returns the option for Maintain zero bend radius. More...
 
NXOpen::SectionRipSection ()
 Returns the section containing curves that need to be ripped while converting to sheetmetal. More...
 
void SetBaseFace (NXOpen::Face *baseFace)
 Sets the base face from which the thickness of the part is determined. More...
 
void SetBendReliefDepth (const NXString &bendReliefDepth)
 
More...
 
void SetBendReliefDepth (const char *bendReliefDepth)
 
More...
 
void SetBendReliefType (NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefTypeOptions bendReliefType)
 Sets the bend relief type. More...
 
void SetBendReliefWidth (const NXString &bendReliefWidth)
 
More...
 
void SetBendReliefWidth (const char *bendReliefWidth)
 
More...
 
void SetLocalBaseFace (NXOpen::Face *localBaseFace)
 Sets the base face of local convert from which the thickness of the part is determined. More...
 
void SetMaintainZeroBendRadius (bool maintainZeroBendRadius)
 Sets the option for Maintain zero bend radius. More...
 
void SetRipEdges (const std::vector< NXOpen::Edge * > &ripEdges)
 Sets the array of edges that need to be ripped while converting to sheetmetal. More...
 
void SetRipSection (NXOpen::Section *section)
 Sets the section containing curves that need to be ripped while converting to sheetmetal. More...
 
void SetSketch (NXOpen::Features::SketchFeature *sketch)
 Sets the internal sketch (used to specify rip curves), if it exists. More...
 
NXOpen::Features::SketchFeatureSketch ()
 Returns the internal sketch (used to specify rip curves), if it exists. More...
 
int ValidateBuilderData ()
 Verify that the builder data is valid for feature creation. More...
 
- Public Member Functions inherited from NXOpen::Features::SheetMetal::SheetmetalBaseBuilder
NXOpen::Features::SheetMetal::ApplicationContext GetApplicationContext ()
 Get the application context. More...
 
void SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This is the feature builder for the convert to sheetmetal feature.


To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateConvertToSheetmetalFeatureBuilder

Created in NX4.0.0.

Member Enumeration Documentation

This enum represents the bend relief type.

Enumerator
BendReliefTypeOptionsNone 

none

BendReliefTypeOptionsSquare 

square

BendReliefTypeOptionsRound 

round

Member Function Documentation

NXOpen::ScCollector* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::AdditionalFacesToConvert ( )

Returns the additional faces to convert
Created in NX10.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Face* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BaseFace ( )

Returns the base face from which the thickness of the part is determined.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

NXOpen::Expression* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefDepth ( )

Returns the bend relief depth.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefTypeOptions NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefType ( )

Returns the bend relief type.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

NXOpen::Expression* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefWidth ( )

Returns the bend relief width.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

NXOpen::Features::SheetMetal::ConvertInputListItemBuilderList* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::CornerList ( )

Returns the corner list
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Features::SheetMetal::ConvertInputListItemBuilder* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::CreateConvertInputListItem ( )

Create a corner list item.

Returns

Created in NX12.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
std::vector<NXOpen::Edge *> NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::GetRipEdges ( )

Gets the array of edges selected for ripping while converting to sheetmetal.

Returns

Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
NXOpen::Face* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::LocalBaseFace ( )

Returns the base face of local convert from which the thickness of the part is determined.


Created in NX12.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::ScCollector* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::LocalRegionFaces ( )

Returns the faces for local convert
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

bool NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::MaintainZeroBendRadius ( )

Returns the option for Maintain zero bend radius.

If the option is set to true, a tiny 0.02 mm radius bend will be created on inside sharp edge (for the features created in NX8 or later releases); else the radius value from NXSM Preferences will be used.


Created in NX8.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Section* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::RipSection ( )

Returns the section containing curves that need to be ripped while converting to sheetmetal.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBaseFace ( NXOpen::Face baseFace)

Sets the base face from which the thickness of the part is determined.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
baseFacebase face
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBendReliefDepth ( const NXString bendReliefDepth)


Deprecated:
Deprecated in NX10.0.0.

Use Expression::SetRightHandSide on the Expression object returned from Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefDepth instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
bendReliefDepthbend relief depth
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBendReliefDepth ( const char *  bendReliefDepth)


Deprecated:
Deprecated in NX10.0.0.

Use Expression::SetRightHandSide on the Expression object returned from Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefDepth instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
bendReliefDepthbend relief depth
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBendReliefType ( NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefTypeOptions  bendReliefType)

Sets the bend relief type.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
bendReliefTypebend relief type
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBendReliefWidth ( const NXString bendReliefWidth)


Deprecated:
Deprecated in NX10.0.0.

Use Expression::SetRightHandSide on the Expression object returned from Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefWidth instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
bendReliefWidthbend relief width
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBendReliefWidth ( const char *  bendReliefWidth)


Deprecated:
Deprecated in NX10.0.0.

Use Expression::SetRightHandSide on the Expression object returned from Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefWidth instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
bendReliefWidthbend relief width
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetLocalBaseFace ( NXOpen::Face localBaseFace)

Sets the base face of local convert from which the thickness of the part is determined.


Created in NX12.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
localBaseFacelocal base face
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetMaintainZeroBendRadius ( bool  maintainZeroBendRadius)

Sets the option for Maintain zero bend radius.

If the option is set to true, a tiny 0.02 mm radius bend will be created on inside sharp edge (for the features created in NX8 or later releases); else the radius value from NXSM Preferences will be used.


Created in NX8.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
maintainZeroBendRadiusmaintain zero bend radius
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetRipEdges ( const std::vector< NXOpen::Edge * > &  ripEdges)

Sets the array of edges that need to be ripped while converting to sheetmetal.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
ripEdgesrip edges
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetRipSection ( NXOpen::Section section)

Sets the section containing curves that need to be ripped while converting to sheetmetal.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
sectionsection
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetSketch ( NXOpen::Features::SketchFeature sketch)

Sets the internal sketch (used to specify rip curves), if it exists.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
sketchsketch
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::Sketch ( )

Returns the internal sketch (used to specify rip curves), if it exists.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

int NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::ValidateBuilderData ( )

Verify that the builder data is valid for feature creation.


If the builder data is valid, it returns a value of 0.

Returns
data validity flag (0 - valid, 1 - invalid)
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.